Find attachments by ids
POST
/api/integration/attachment/find-by-idsRequest
cURL
curl -X POST "https://dev.integration.cl.sodtrack-shared.sodtrack.com/api/integration/attachment/find-by-ids" \
-H "Authorization: Bearer $SODTRACK_TOKEN" \
-H "Content-Type: application/json" \
-H "Origin: dev.api.cl.sodtrack.sodtrack.com" \
-d '{
"attachmentIds": [
21
]
}'Base URL: https://dev.integration.cl.sodtrack-shared.sodtrack.com · other environments
Headers
| Name | Type | Description |
|---|---|---|
Origin | string | —dev.api.cl.sodtrack.sodtrack.com |
Request body
application/json
{
"attachmentIds": [
21
]
}Responses
Create Lead
{
"id": 4,
"customer_id": 15
}Error responses for this endpoint follow the shared error reference.
Field Definitions
Top-level
| Field | Type | Required | Description |
|---|---|---|---|
| customer | object | ✅ | Basic customer information. |
| serviceId | number | ✅ | ID of the service associated with the lead. |
| salesChannelId | number | ✅ | ID of the originating sales channel. |
| qualifyingQuestions | array | ✅ | Answers to the lead’s qualifying questions. |
| addressData | object | ✅ | Customer address data; required if the service variant must be performed at the customer location. |
| dynamicForm | array | ❌ | Forms (and values) to associate with the lead creation. |
| reference | string | ❌ | Optional reference identifier |
customer
| Field | Type | Required | Description |
|---|---|---|---|
| customer.name | string | ✅ | Customer first name. |
| customer.lastName | string | ✅ | Customer last name. |
| customer.phoneNumber | string | ✅ | Client phone number including “+” and country code. |
| customer.email | string | ✅ | Customer email. |
| customer.identificationNumber | string | ✅ | Customer fiscal/tax ID. |
| customer.identificationNumberCountry | string | ✅ | Country code in ISO‑2 format (e.g., US, CL). |
| customer.reference | string | ❌ | Optional reference identifier |
qualifyingQuestions
| Field | Type | Required | Description |
|---|---|---|---|
| qualifyingQuestions[].fieldReference | number | ✅ | ID of the question to be answered. |
| qualifyingQuestions[].value | string | ✅ | Answer to the question. |
addressData
| Field | Type | Required | Description |
|---|---|---|---|
| addressData.extra_info | string | ❌ | Additional info to locate the address (e.g., “apt 34”, “office 83”). |
| addressData.address | string | ✅ | Written customer address. |
| addressData.coordinate | object | ✅ | Geolocation of the customer address. |
| addressData.coordinate.lat | number | ✅ | Latitude. |
| addressData.coordinate.lng | number | ✅ | Longitude. |
dynamicForm
| Field | Type | Required | Description |
|---|---|---|---|
| dynamicForm[].externalReference | string | ✅ | Reference of the form to be completed. |
| dynamicForm[].values | array | ✅ | Array of responses for that form. |
| dynamicForm[].values[].FieldReference | string | ✅ | Dynamic Form field reference |
| dynamicForm[].values[].value | string | ✅ | Field value. |